<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# _HEADER                                                          #
# HTMl dokumentumfejlécek és metaadatok függvényei                 #
#                                                                  #
# Módosítva: 2008.04.20.                                           #
# Készítette: Lente Tamás - lentet@dbvk.hu                         #
#                                                                  #
# Tartalma:                                                        #
# - fejlec_kodlap(): HTML dokuemntum kódlapjának beállítása        #                
# - fejlec_cim(): HTML dokumentum fejlécének kiíratása             #
# - fejlec_meta(): HTML dokumentum meta adatainak kiírása          #
# - fejlec_stiluslap(): HTMl stíluslap, favicon betöltése          #
####################################################################
*/

// Ha már be lett egyszer töltve, ne töltsük újra 
if (defined("_header")) return;
define("_header", "1");


// Kódlap beállítása
function fejlec_kodlap() {
  global $charset; // konfigurációban beállított kódlap
  header("Content-Type: text/html; charset=".$charset);
}

// Fejlécadatok kiírása
function fejlec_cim() {
  global $szoveg; // adatbázisból kiolvasott szöveg
  echo "    <title>".$szoveg['title']."</title>\n";
}

// Metadatok kiírása
function fejlec_meta() {
  global $charset; // konfigurációban beállított kódlap
  global $szoveg; // adatbázisból kiolvasott szöveg
  echo "    <meta http-equiv=\"content-type\" content=\"text/html; charset=".$charset."\">\n";
  echo "    <meta name=\"author\" content=\"".$szoveg['meta_author']."\">\n";
  echo "    <meta name=\"copyright\" content=\"".$szoveg['meta_copyright']."\">\n";
  echo "    <meta name=\"keywords\" content=\"".$szoveg['meta_keywords']."\">\n"; 
  echo "    <meta name=\"description\" content=\"".$szoveg['meta_description']."\">\n";  
  // Dublin Core metaadatok
  echo "    <meta name=\"dc.title\" content=\"".$szoveg['title']."\">\n";
  echo "    <meta name=\"dc.creator\" content=\"".$szoveg['meta_author']."\">\n";
  echo "    <meta name=\"dc.coverage\" content=\"".$szoveg['meta_localization']."\">\n"; 
  echo "    <meta name=\"dc.subject\" content=\"".$szoveg['meta_description']."\">\n";
  echo "    <meta name=\"dc.subject\" content=\"".$szoveg['meta_shortdescription']."\">\n";
  echo "    <meta name=\"dc.subject\" content=\"".$szoveg['meta_keywords']."\">\n";
  echo "    <meta name=\"dc.identifier\" scheme=\"url\" content=\"".$url."\">\n";
  echo "    <meta name=\"dc.language\" content=\"hun\">\n";
}

// Stíluslapok 
function fejlec_stiluslap() {
  global $dir; // könyvtárak - konfigurációból
  global $style; // stíluslap megnevezése - konfigurációból
  echo "    <link rel=\"StyleSheet\" type=\"text/css\" href=\"".$dir['style']."/".$style.".css\" media=\"screen\">\n";
  echo "    <link rel=\"StyleSheet\" type=\"text/css\" href=\"".$dir['style']."/".$style."_print.css\" media=\"print\">\n";
  echo "    <link rel=\"icon\" href=\"".$dir['images']."/favicon.ico\" type=\"image/x-icon\">\n";
}

// Javascript
function fejlec_js() {
  global $url, $mitcsinal, $dir, $style;
  echo "    <script language=\"Javascript\" src=\"".$dir['jscripts']."/kepkezeles.js\"></script>\n";
  // Alkotások megjelenítésénél a googlemaps szkriptjeit is betöltjük    
  if ($mitcsinal == 'show') {
    echo "    <script language=\"Javascript\" src=\"http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=".$dir['googlemaps']."\"></script>\n";
    echo "    <script language=\"Javascript\" src=\"".$dir['jscripts']."/googlemap.js\"></script>\n";
  }
}

?>
